<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style>

		div{
			width:10px;
			height:10px;
			position:absolute;
			top:0px;
			left:0px;
			border-radius: 100%;
			background-color:black;
		}
		
	</style>

	<script type="text/javascript">

		//Cuando se aprieta el cursor se mueve hacia (derecha, izquierda, arriba, abajo)
		//
		window.addEventListener("load",()=>{

			let cursor=document.querySelector("div");
			//let apuntador;
			cursor.style.left="0px";
			//cursor.style.right="0px";
			cursor.style.top="0px";
			//cursor.style.bottom="0px";

			//Para cursores keydown, keypress no vale
			//
			window.addEventListener("keydown",(e)=>{

				console.log(e.keyCode);

				switch (e.keyCode) {
					case 37:
						cursor.style.left=parseInt(cursor.style.left)-1+"px";
						break;
					case 39:
						cursor.style.left=parseInt(cursor.style.left)+1+"px";
						break;
					case 38:
						cursor.style.top=parseInt(cursor.style.top)-1+"px";
						break;
					case 40:
						cursor.style.top=parseInt(cursor.style.top)+1+"px";
						break;
					
				}

			});


	

		});
		

	</script>
</head>
<body>
		<div>&nbsp;</div>
	
</body>
</html>